Skills
Update a skill
Modifies the specified skill's configuration.
Parametry ścieżki
name
string
wymagane
The name of the skill to update.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
default_version
string
wymagane
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Odpowiedzi
The request has succeeded.
Treść
id
string
wymagane
The unique identifier of the skill.
name
string
wymagane
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
wymagane
A human-readable description of the skill.
default_version
string
wymagane
The default version for the skill. Can be changed via updateSkill.
latest_version
string
wymagane
The latest version for the skill.
Żądanie
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json